## NAME

v.lrs.where - Finds line id and real km+offset for given points in vector map using linear reference system.

## KEYWORDS

vector, linear reference system, network

## SYNOPSIS

v.lrs.where
v.lrs.where --help
v.lrs.where lines=name points=name [llayer=string] [player=string] [rsdriver=string] [rsdatabase=string] rstable=string [threshold=float] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

lines=name [required]
  Name of input vector map
  Input vector map containing lines
points=name [required]
  Name of input vector map
  Input vector map containing points
llayer=string
  Layer number or name
  Line layer
  Default: 1
player=string
  Layer number or name
  Point layer
  Default: 1
rsdriver=string
  Driver name for reference system table
  Options: dbf, odbc, ogr, pg, sqlite
  Default: sqlite
rsdatabase=string
  Database name for reference system table
  Default: $GISDBASE/$LOCATION_NAME/$MAPSET/sqlite/sqlite.db
rstable=string [required]
  Name of the reference system table
threshold=float
  Maximum distance to nearest line
  Default: 1000

## DESCRIPTION

v.lrs.where identifies line id and real milepost+offset for points in vector map using linear reference system.

## EXAMPLE

This example is written for the Spearfish dataset (it continues the example from v.lrs.create).

In this example, the 'route_lrs' shall be queried for unknown positions (points, stored in the map newpoints) along the LRS:

    # generate query points
    echo "590866.15|4926737.0
    590933|4927133" | v.in.ascii out=newpoints

    v.lrs.where lines=route_lrs points=newpoints rstable=route_lrs
    pcat|lid|mpost|offset
    pcat|lid|mpost|offset
    1|22|4.000000+212.091461
    2|22|6.000000+188.112093

    # verification
    g.region vector=route_lrs n=n+100 s=s-100 -p
    d.erase
    d.vect route_lrs
    d.vect busstops disp=attr attr=cat size=10 bg=white lcol=blue yref=bottom
    d.vect busstops icon=basic/circle fcol=blue
    d.vect newpoints col=red

    # measure distance to previous bus stop:
    # use measuring tool in graphical user interface

## SEE ALSO

LRS tutorial,
Introducing the Linear Reference System in GRASS,
v.lrs.where, v.lrs.segment, v.lrs.label

## AUTHOR

Radim Blazek, ITC-irst/MPA Solutions
Documentation update (based on above journal article and available fragments): Markus Neteler

## SOURCE CODE

Available at: v.lrs.where source code (history)

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2019 GRASS Development Team, GRASS GIS 7.8.2 Reference Manual